% Definindo parametros da simulacao
dt=0.1;              % passo de tempo
T=100;                 % tempo maximo simulado
epsilon=0.2;           % parametro

% Numero de passos
N = 1 + T/dt;          % numero de passos no tempo

% inicializacao das variaveis
x = zeros(N);
y = zeros(N);

% Iterando condicao inicial
  x(1)=1;
  y(1)=0;   
   
  % Iterando o metodo de Euler para o pendulo
  for j=2:N
    x(j)=x(j-1)+dt*y(j-1);
    y(j)=y(j-1)-dt*(epsilon*y(j-1)+x(j-1)*x(j-1)*x(j-1));
  end

% Representacao grafica da curva característica
  plot(x,y)
  hold on

